Bug 239670 - sysutils/rubygem-tmuxinator: Update to 1.1.1 (fixes warning about tmux version)
Summary: sysutils/rubygem-tmuxinator: Update to 1.1.1 (fixes warning about tmux version)
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koichiro Iwao
URL: https://github.com/tmuxinator/tmuxina...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-08-06 08:36 UTC by freebsd
Modified: 2019-10-02 00:25 UTC (History)
4 users (show)

See Also:
meta: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch-tmuxinator-1.1.1 (1.13 KB, patch)
2019-08-07 04:19 UTC, Koichiro Iwao
no flags Details | Diff
patch-to-quarterly (1.25 KB, text/plain)
2019-08-07 04:20 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2019-08-06 08:36:27 UTC
When launching tmuxinator with latest tmux version from the ports (2.9a) we get following message
    WARNING: You are running tmuxinator with an unsupported version of tmux.
    Please consider using a supported version:
    (1.5, 1.6, 1.7, 1.8, 1.9, 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8)

Latest tmuxinator version is 1.1.1 with support for 2.9a (cf https://github.com/tmuxinator/tmuxinator/releases)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-06 09:18:18 UTC
Assign on the basis that this is about rubygem-tmuxinator.  To submitter: please let us know if this is not correct.
Comment 2 Koichiro Iwao freebsd_committer 2019-08-07 01:47:24 UTC
FTR, fix in upstream: https://github.com/tmuxinator/tmuxinator/pull/698
Comment 3 Koichiro Iwao freebsd_committer 2019-08-07 01:53:49 UTC
2019Q3 branch has sysutils/tmux 2.9a. Updating the port to v1.1.0 or later solves the issue. Regarding head, it's OK to update to the latest version but what should be done for quarterly? Backporting the fix?
Comment 4 Koichiro Iwao freebsd_committer 2019-08-07 04:19:09 UTC
Created attachment 206317 [details]
patch-tmuxinator-1.1.1

Patch to update to the latest release.
Comment 5 Koichiro Iwao freebsd_committer 2019-08-07 04:20:54 UTC
Created attachment 206318 [details]
patch-to-quarterly

This patch to backport the fix to 0.14.0 in quarterly branch. However, it is better to update quarterly to the latest release if approved.
Comment 6 commit-hook freebsd_committer 2019-08-08 07:46:16 UTC
A commit references this bug:

Author: meta
Date: Thu Aug  8 07:45:55 UTC 2019
New revision: 508364
URL: https://svnweb.freebsd.org/changeset/ports/508364

Log:
  sysutils/rubygem-tmuxinator: Update to 1.1.1

  This commit is intended to support tmux 2.9 and 2.9a in particular.

  PR:		239670
  Submitted by:	myself
  Reported by:	freebsd@rail.eu.org
  Relnotes:	https://github.com/tmuxinator/tmuxinator/releases/tag/v0.15.0
  		https://github.com/tmuxinator/tmuxinator/releases/tag/v0.16.0
  		https://github.com/tmuxinator/tmuxinator/releases/tag/v1.0.0
  		https://github.com/tmuxinator/tmuxinator/releases/tag/v1.1.0
  		https://github.com/tmuxinator/tmuxinator/releases/tag/v1.1.1
  Sponsored by:	HAW International, Inc.

Changes:
  head/sysutils/rubygem-tmuxinator/Makefile
  head/sysutils/rubygem-tmuxinator/distinfo
Comment 7 Koichiro Iwao freebsd_committer 2019-08-15 05:56:14 UTC
portmgr@, can you review patch to quarterly?
Comment 8 Koichiro Iwao freebsd_committer 2019-10-02 00:25:58 UTC
The fix is now included in 2019Q4 branch.